Skip to main content
POST
/
v1
/
homes
/
price_signal
/
rate_plan
/
{id}
get price signal for rate plan
curl --request POST \
  --url https://api.example.com/v1/homes/price_signal/rate_plan/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-ws-api-key: <api-key>' \
  --data '
{
  "startTime": "<string>",
  "endTime": "<string>"
}
'
{
  "ratePlanId": "<string>",
  "hourlyData": [
    {
      "startTime": "<unknown>",
      "endTime": "<unknown>",
      "price": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-ws-api-key
string
header
required

Headers

x-ws-api-key
string

WattShift API Key

Path Parameters

id
string
required

Body

application/json
startTime
string | null
endTime
string | null

Response

200 - application/json
ratePlanId
string
required
hourlyData
object[]
required